process {
  withLabel: 'bowtie2_container' {
    label = 'cloud'
    container = 'docker://staphb/bowtie2:2.5.1'
  }
  withLabel: 'bowtie2_samtools_container' {
    container = 'docker://staphb/bowtie2:2.5.1'
  }
  withLabel: 'bowtie2_samtools' {
    cpus = 32
    memory = { 20.GB.plus(12.GB * task.attempt)}
  }
  withLabel: 'bowtie2_build' {
    cpus = { 16 * task.attempt }
    memory = { 20.GB.plus(12.GB * task.attempt)}
  }
  withLabel: 'bowtie2' {
    cpus = 32
    memory = { 20.GB.plus(12.GB * task.attempt)}
  }
}
